Package uk.ac.starlink.cdf

## Class CdfStarTable

- java.lang.Object
- - uk.ac.starlink.table.AbstractStarTable
  - - uk.ac.starlink.cdf.CdfStarTable

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `uk.ac.starlink.table.StarTable`

      public class CdfStarTable
      extends uk.ac.starlink.table.AbstractStarTable

  StarTable implementation for CDF files.
  Since:
    24 Jun 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CdfStarTable​(uk.ac.bristol.star.cdf.CdfContent content, CdfTableProfile profile)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getCell​(long irow, int icol)` |
    `int` | `getColumnCount()` |
    `uk.ac.starlink.table.ColumnInfo` | `getColumnInfo​(int icol)` |
    `uk.ac.starlink.table.RowAccess` | `getRowAccess()` |
    `long` | `getRowCount()` |
    `uk.ac.starlink.table.RowSequence` | `getRowSequence()` |
    `boolean` | `isRandom()` |

    - ### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

      `checkedLongToInt, close, getColumnAuxDataInfos, getName, getParameters, getRow, getRowSplittable, getURL, setName, setParameters, setURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.table.StarTable

      `getParameterByName, setParameter`

- - ### Constructor Detail

    - #### CdfStarTable

          public CdfStarTable​(uk.ac.bristol.star.cdf.CdfContent content,
                              CdfTableProfile profile)
                       throws java.io.IOException

      Constructor.
      Parameters:
        `content` - CDF data content object
        `profile` - parameterisation of how CDFs should get turned into StarTables
      Throws:
        `java.io.IOException` - in case of error

  - ### Method Detail

    - #### getColumnCount

          public int getColumnCount()

      Specified by:
        `getColumnCount` in interface `uk.ac.starlink.table.StarTable`
      Specified by:
        `getColumnCount` in class `uk.ac.starlink.table.AbstractStarTable`

    - #### getRowCount

          public long getRowCount()

      Specified by:
        `getRowCount` in interface `uk.ac.starlink.table.StarTable`
      Specified by:
        `getRowCount` in class `uk.ac.starlink.table.AbstractStarTable`

    - #### getColumnInfo

          public uk.ac.starlink.table.ColumnInfo getColumnInfo​(int icol)

      Specified by:
        `getColumnInfo` in interface `uk.ac.starlink.table.StarTable`
      Specified by:
        `getColumnInfo` in class `uk.ac.starlink.table.AbstractStarTable`

    - #### isRandom

          public boolean isRandom()

      Specified by:
        `isRandom` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `isRandom` in class `uk.ac.starlink.table.AbstractStarTable`

    - #### getCell

          public java.lang.Object getCell​(long irow,
                                          int icol)
                                   throws java.io.IOException

      Specified by:
        `getCell` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `getCell` in class `uk.ac.starlink.table.AbstractStarTable`
      Throws:
        `java.io.IOException`

    - #### getRowSequence

          public uk.ac.starlink.table.RowSequence getRowSequence()
                                                          throws java.io.IOException

      Specified by:
        `getRowSequence` in interface `uk.ac.starlink.table.StarTable`
      Specified by:
        `getRowSequence` in class `uk.ac.starlink.table.AbstractStarTable`
      Throws:
        `java.io.IOException`

    - #### getRowAccess

          public uk.ac.starlink.table.RowAccess getRowAccess()
                                                      throws java.io.IOException

      Specified by:
        `getRowAccess` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `getRowAccess` in class `uk.ac.starlink.table.AbstractStarTable`
      Throws:
        `java.io.IOException`